% Compute all tax results
% tax = 1  excise tax
%       2  ad valorem tax
%       3  no tax
% owner = 0 baseline ownership structure
%       = 1 all products owned by separate firms 
tax  = [(1:3)';1;2];
owner = [zeros(2,1);ones(3,1)];
BigTax=0;

% Add directories to path
setpath;

rng('default');
SampleSize = 1000;
nHH = 10012;
% Select random subsample for calculations
e1     = rand(nHH,1);
e1sort = sort(e1);
iSample = e1<=e1sort(SampleSize);

for i1=1:5
  ComputeTaxResults(1,1,ParameterFile,tax(i1),owner(i1),SampleSize,iSample, ...
                    BigTax);
  SaveTaxResults(ParameterFile,tax(i1),owner(i1),SampleSize,iSample,BigTax);
end