function NotIdentifiedBrands=CheckBrands(BrandDummies)
% function NotIdentifiedBrands=CheckBrands(BrandDummies)
%
% NotIdentifiedBrands   =   (nNot x 1)  List of Brands that are not
%                                       identified
% BrandDummies          =   (nHH x nBrands)  Dummies for each brand
% 
%--------------------------------------------------
% Revision history
%
% 14sep2009 LPN created function.


% Temp   (1 x n)  = temp(i)==1 if Brand(i) is never chosen
temp = all(BrandDummies==0);

NotIdentifiedBrands=find(temp==1);
    
    
    
  

