function [nFirms,AllFirmsProducts,AllCompetitorProducts]= ...
          CreateNewOwnership(noptions)

% Create new ownership structure in which each product is a single firm
%
% Revision history
% 2017MAR19  Cleaned version for publication.

nFirms=noptions;

AllFirmsProducts=cell(nFirms,1);
AllCompetitorProducts=cell(nFirms,1);
AllFirms = (1:nFirms)';
for f=1:nFirms
  AllFirmsProducts{f}=f;
  AllCompetitorProducts{f}=AllFirms(AllFirms~=f);
end