function y = SatTargetResidual(tau,fail,Tax,TaxShareHandle,target, ...
                               Sats,HHWeights,PreTaxSats)
% fail is not used but is required by zbrent2                           
% compute reduction in sats minus target
% used to find tax that reduces sats by same percentage as target

if Tax.Type==1
  Tax.tax = tau;
elseif Tax.Type==2
  Tax.tau = tau;  
end
[~,HHTaxShare] = TaxShareHandle(Tax);


% sat fat consumed: pre tax
%   Sats  (noptions x 1 )
%   HHShare (noptions x nHH)
PostTaxSats = (Sats'*HHTaxShare)*HHWeights(1,:)';
reduction = (PreTaxSats-PostTaxSats)/PreTaxSats;

y = reduction - target;