function options = SetOptions(options,AlgFlag)


% AlgFlag
% 1 = interior-point
% 2 = SQP
% 3 = Active set
% 4 = trust-region-reflective

if AlgFlag==1
  options = optimset(options,'Algorithm','interior-point');
elseif AlgFlag==2
  options = optimset(options,'Algorithm','sqp');
elseif AlgFlag==3
  options = optimset(options,'Algorithm','active-set');
elseif AlgFlag==4
  options = optimset(options,'Algorithm','trust-region-reflective');
end