function summary=SumStat(x)
% summary=SumStat(x)
%
% Compute summary statistics for matrix x
%
% summary   = (k x 5)   [mean var min max n]
% x         = (n x k)   Data Matrix
[n,k]=size(x);
summary=n*ones(k,5);

if n*k<=30e6
  summary(:,1)=mean(x)';
  summary(:,2)=var(x)';
  summary(:,3)=min(x)';
  summary(:,4)=max(x)';
else
  for i=1:k
    summary(i,1)=mean(x(:,i))';
    summary(i,2)=var(x(:,i))';
    summary(i,3)=min(x(:,i))';
    summary(i,4)=max(x(:,i))';
  end
end
