function [OutDir,BaseTaxDataFile,CostDataFile,SortedDataFile,ElasticityMatFile, ...
          ElasticityTxtFile1,ElasticityTxtFile2] = ...
          SetBootstrapFilenames(BootstrapDir,brep)
% Define filenames for bootstrap results
% BootstrapDir = (string)  name of directory for bootstrap results
% brep         = (1 x 1)   index of current bootstrap iteration

OutDir = BootstrapDir;
BaseTaxDataFile = fullfile(BootstrapDir,['basetax',int2str(brep),'.mat']);
CostDataFile    = fullfile(BootstrapDir,['cost',int2str(brep),'.mat']); 

SortedDataFile  = fullfile(BootstrapDir,['SortedData',int2str(brep),'.mat']);
ElasticityMatFile = fullfile(BootstrapDir,['elasticity',int2str(brep),'.mat']);
ElasticityTxtFile1 = fullfile(BootstrapDir,['elas1_',int2str(brep),'.txt']);
ElasticityTxtFile2 = fullfile(BootstrapDir,['elas2_',int2str(brep),'.txt']);  
