function [lower,upper]=SetBounds1(xFree,iFree,DeltaX)
% [lower,upper]=SetBounds1(xFree,iFree,DeltaX)
%
% Set lower and upper bounds for parameters
nFree=length(xFree);
lower = zeros(nFree,1);
upper = zeros(nFree,1);

for i1=1:length(iFree)
  xL=min(DeltaX(:,iFree(i1)));
  xH=max(DeltaX(:,iFree(i1)));
  if xH<=0 && xL<xH
    % xL determines bound
    lower(i1)=100/xL;
    upper(i1)=-1000/xL;
  elseif xL>=0 && xL<xH
   % xH determines bound
   lower(i1)=-1000/xH;
   upper(i1)=100/xH;
  elseif xL<0 && xH>0
    lower(i1)=max(100/xL,-1000/xH);
    upper(i1)=min(-1000/xL,100/xH);
  elseif xL==0 && xH==0
    lower(i1)=0;
    upper(i1)=0;
  end
end

upper=min(xFree+500,upper);