function [L0,DL0,DDL0]=ComputeHessian1(LikeFunc,x0)

n        = length(x0);
[L0,DL0] = LikeFunc(x0);
DDL0     = zeros(n,n);

h        = 1e-4;
TwoSided=1;
Flag2=0; % 0 for absolute diff, 1 for relative
for i1=1:n
  x1       = x0;
  if Flag2==1
    x1(i1)   = x0(i1)+h*max(1,abs(x0(i1)));
  else
    x1(i1)   = x0(i1)+h;
  end
  
  [~,DL1] = LikeFunc(x1);
  if TwoSided==0
    DDL0(:,i1) = (DL1 - DL0)./(x1(i1)-x0(i1));
  else
    x2=x0;
    x2(i1) = 2*x0(i1)-x1(i1);
    [~,DL2] = LikeFunc(x2);
    DDL0(:,i1) = (DL1 - DL2)./(x1(i1)-x2(i1));
  end
  disp([i1 x1(i1)]); 
end