function m = KernelMean(x,xdata,ydata,h,kernel,weight)

if nargin<5
  kernel=1; 
end

nx = size(x,1);
n  = size(xdata,1);
if nargin<6
  weight = ones(n,1);
end
if kernel==1
  % normal
  z = (repmat(x,[1 n])-repmat(xdata',[nx 1]))/h;
  f = exp(-0.5 *z.*z)/sqrt(2*pi);
  m = (f*(weight.*ydata))./(f*weight);
end

