function [mode,ccon,cjac,user] = ...
    NAG_ConFun(mode,ncnln,n,ldcj,needc,x,cjac,nstate,user) 

ccon = zeros(ncnln,1);
if mode==0   
  [C,CEQ]=user.NonLinConFunc(x);
  CTemp = [C;CEQ];
  ccon(needc>0) = CTemp(needc>0);
elseif mode==1 
  [C,CEQ,GradC,GradCEQ]=user.NonLinConFunc(x);
  %CTemp = [C;CEQ];
  GradCTemp = [GradC.';GradCEQ.'];
  if strncmp(user.GradConstr,'on',2)
    cjac(needc>0,:) = GradCTemp(needc>0,:);
  end
elseif mode==2
  [C,CEQ,GradC,GradCEQ]=user.NonLinConFunc(x);
  CTemp = [C;CEQ];
  GradCTemp = [GradC.';GradCEQ.'];
  ccon(needc>0) = CTemp(needc>0);
  if strncmp(user.GradConstr,'on',2)
    cjac(needc>0,:) = GradCTemp(needc>0,:);
  end
end  