function  x = bisect(FunHandle,xL,xH,tol)

x = 0.5*(xL+xH);

f1 = FunHandle(xL);
f2 = FunHandle(xH);

%if any(f1.*f2>0)
%  display('Some elements of zero vector are not bracketed.');
%  keyboard
%end

dx = abs(xH-xL);
if nargin<4
  tol=1e-4;
end
while any(dx>tol)
  fx = FunHandle(x);
  i1 = (f1.*fx)<=0;
  i2 = (f1.*fx>0);% & (f2.*fx) >0 & (f2.*fx)<=0;
  
  % f1.*fx<=0 & fx.*f2>0
  % f1.*fx >0 & fx.*f2<=0
  % f1.*fx<=0 & fx.*f2<=0
  
  if any(i1)
    xH(i1) = x(i1);
    f2(i1) = fx(i1);
  end
  if any(i2)
    xL(i2) = x(i2);
    f1(i2) = fx(i2);
  end

  x  = 0.5*(xH+xL); 
  dx = xH-xL;
  if any(dx>tol)
    fprintf('%12s %12s %12s \n','mean(dx)','median(dx)','n > tol');
    fprintf('%12f %12f %12d \n',mean(dx(dx>tol)),median(dx(dx>tol)),sum(dx>tol));
%    display([mean(dx(dx>tol)) median(dx(dx>tol)) min(dx(dx>tol)) sum(dx<=tol)])
  end
end  
x = 0.5*(xL+xH);    
