function f = DagsvikIntegrand(y,V0,V0Numerator,X0,Z0,HHPrice,    ...
                              basis,EstColumn,ZIndex,iNonZero, ...
                              xFree2,iFree2,beta2,CDiag,COffDiag,    ...
                              LogNormalFlag,LogNormalIndex,          ...
                              noptions,RCDim,RCRank,Nodes,nQuadAll,iQuad)
% Revision history
% 2017MAR19  Cleaned version for publication.
ny=length(y);
f = zeros(size(y));
for i1=1:ny
  [X,Z]=UpdatePriceTerms(y(i1) - HHPrice,X0,Z0,basis,EstColumn,ZIndex, ...
                          iNonZero,RCDim);
  % size(V1) = (noptions x 1)
  V1=ComputeUtility(xFree2,iFree2,beta2,CDiag,COffDiag, ...
                    X,Z,LogNormalFlag,LogNormalIndex,   ...
                    noptions,1,RCDim,RCRank,Nodes,nQuadAll,iQuad);
  MaxV = max([V1;V0]);
  f(i1) = exp(V0Numerator-MaxV)/sum(exp(max(V1-MaxV,V0-MaxV)),1);
end