function y = ...
    ExpectedUtilityResidual(CV,V0,iq,xFree2,iFree2,beta2,CDiag,COffDiag, ...
             LogNormalFlag,LogNormalIndex,EstColumn,ZIndex, ...
             noptions,nHH,RCDim,RCRank,Nodes,nQuadAll, ...
             NewExpenditure,X,Z,basis,iNonZero)
         
CV = reshape(repmat(CV.',[noptions 1]),[noptions*nHH 1]);

[X,Z]=UpdatePriceTerms(NewExpenditure+CV,X,Z,basis,EstColumn,ZIndex, ...
                       iNonZero,RCDim);

% Compute new utility: new expenditure + CV
[V1,~,MaxV1]=ComputeExpUtility(xFree2,iFree2,beta2,CDiag,COffDiag,X,Z, ...
                               LogNormalFlag,LogNormalIndex,EstColumn,ZIndex,noptions, ...
                               nHH,RCDim,RCRank,Nodes,nQuadAll);

% size(V1) = (nHH x nQuadAll)
y = MaxV1(:,iq)+log(V1(:,iq)) - V0;