function f = QuadFunc(a,b,V0Sorted,V0,X0,Z0,HHPrice,         ...
                      basis,EstColumn,ZIndex,iNonZero,       ...
                      xFree2,iFree2,beta2,CDiag,COffDiag,    ...
                      LogNormalFlag,LogNormalIndex,          ...
                      noptions,RCDim,RCRank,Nodes,nQuadAll,iQuad)
  
ny=11;
[z,w]=gauleg(ny);

y = 0.5*(b-a)*(1+z)+a;

MaxV0 = max(V0Sorted);
numerator = sum(exp(V0Sorted-MaxV0));
f=0;
for i1=1:ny
  [X,Z]=UpdatePriceTerms(y(i1) - HHPrice,X0,Z0,basis,EstColumn,ZIndex, ...
                         iNonZero,RCDim);
  % size(V1) = (noptions x 1)
  V1=ComputeUtility(xFree2,iFree2,beta2,CDiag,COffDiag, ...
                    X,Z,LogNormalFlag,LogNormalIndex,   ...
                    noptions,1,RCDim,RCRank,Nodes,nQuadAll,iQuad);
  V00 = max(V0,V1);
  MaxD = max(V00);
  denominator = sum(exp(V00-MaxD));
  f = f + 0.5*(b-a)*w(i1)*(numerator/denominator)*exp(MaxV0-MaxD);
end